Page MenuHomePhabricator

Elm_Animation_View : Change some EAPI to EOAPI
ClosedPublic

Authored by jsuya on Jan 15 2019, 6:21 PM.

Details

Reviewers
Hermet
Summary

enum Elm_Animation_View_State -> enum Elm.Animation_View.State
elm_animation_view_state_get -> Elm.Animation_View.state.get
elm_animation_view_is_playing_back -> Elm.Animation_View.is_playing_back
elm_animation_view_frame_count_get -> Elm.Animation_View.frame_count.get

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Branch
devs/hermet/lottie
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 8836
Build 7770: arc lint + arc unit
jsuya created this revision.Jan 15 2019, 6:21 PM
jsuya requested review of this revision.Jan 15 2019, 6:21 PM
jsuya updated this revision to Diff 18449.Jan 15 2019, 11:53 PM

update code

jsuya updated this revision to Diff 18450.Jan 15 2019, 11:55 PM
jsuya retitled this revision from Elm_Animation_View : Move some EAPI to EOAPI to Elm_Animation_View : Change some EAPI to EOAPI.
jsuya edited the summary of this revision. (Show Details)

update commit message

Hermet accepted this revision.Jan 16 2019, 1:50 AM
This revision is now accepted and ready to land.Jan 16 2019, 1:50 AM
Hermet closed this revision.Jan 28 2019, 2:23 AM